Bug 462658 - Kerberos server log does not get rotated
Kerberos server log does not get rotated
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: krb5 (Show other bugs)
5.2
All Linux
medium Severity low
: rc
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks: 630968
  Show dependency treegraph
 
Reported: 2008-09-17 18:47 EDT by Kyle Powell
Modified: 2016-01-22 12:07 EST (History)
3 users (show)

See Also:
Fixed In Version: krb5-1.6.1-45.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 630968 (view as bug list)
Environment:
Last Closed: 2011-01-13 18:32:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Powell 2008-09-17 18:47:08 EDT
Description of problem:

krb5-server package does not contain a /etc/logrotate.d/krb5kdc file to instruct logrotate to rotate /var/log/krb5kdc.log. Consequently, the kerberos server log never gets rotated, it simply keeps growing.

Version-Release number of selected component (if applicable):
krb5-server-1.6.1-25.el5

Additional info:

Proposed /etc/logrotate.d/krb5kdc:

/var/log/krb5kdc.log {
    missingok
    monthly
    rotate 12
    postrotate
        /sbin/service krb5kdc reload 2> /dev/null > /dev/null || true
    endscript
}
Comment 5 errata-xmlrpc 2011-01-13 18:32:55 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0098.html

Note You need to log in before you can comment on or make changes to this bug.